- @page_title = t('.title')

= render 'layouts/page_actions', new_url: new_admin_resource_path,
                                 new_caption:  t('.new')

- if @resources.size.positive?
  = render 'admin/widgets/pagination', list: @resources

._filters
  ._filters__section
    ._filters__section__title= t('.usage')
    = filter_by_link t('generic.all'), filters: { elements: nil }, keep: [:search, :source, :crop_rotation_group]
    = filter_by_link t('.unused'), filters: { elements: 'without' }, keep: [:search, :source, :crop_rotation_group]
  ._filters__section
    ._filters__section__title= t('.crop_rotation_group')
    = filter_by_link t('generic.all'), filters: { crop_rotation_group: nil }, keep: [:search, :source, :elements]
    = filter_by_link t('.undefined'), filters: { crop_rotation_group: 'without' }, keep: [:search, :source, :elements]
  ._filters__spring
  ._filters__section= render 'admin/widgets/search', keep: [:source, :elements, :crop_rotation_group]

- if @resources.empty?
  .rui-empty= t('.no_content')
- else
  %table
    %caption.-sr-only= t('.table_caption')
    %thead
      %tr
        %th.-text--monospace.-text--right{ scope: 'col' }= t('generic.id')
        %th.-text--monospace.-text--right{ scope: 'col' }= t('activerecord.attributes.resource.sync_id')
        %th{ scope: 'col' }= order_by_link t('activerecord.attributes.resource.name'),
                                          'name',
                                          keep_filters: [:search, :source, :elements]
        %th{ scope: 'col' }= order_by_link t('activerecord.attributes.resource.latin_name'),
                                          'latin_name',
                                          keep_filters: [:search, :source, :elements]
        %th{ scope: 'col' }= t('activerecord.attributes.resource.diameter')
        %th{ scope: 'col' }= t('activerecord.attributes.resource.parent')
        %th{ scope: 'col' }= t('activerecord.attributes.resource.genus')
        %th{ scope: 'col' }= t('activerecord.attributes.resource.sources')
        %th{ scope: 'col' }= t('activerecord.models.element', count: 2)
        %th{ scope: 'col' }

    %tbody
      - @resources.each do |resource|
        %tr
          %td.-text--monospace.-text--right= resource.id
          %td.-text--monospace.-text--right= resource.sync_id.presence || '-'
          %td{ class: resource.generic? ? '-italic' : '' }= link_to resource.name, admin_resource_path(resource)
          = missing_data_element :td, resource.latin_name, replacement: '-'
          = missing_data_element :td, resource.diameter, replacement: '-'
          %td
            - if resource.parent.present?
              = link_to resource.parent.name, admin_resource_path(resource.parent)
            - else
              \-
          %td= resource.genus.name
          %td.centered{ class: (resource.sources.length.positive? ? '' : 'text--color-warning') }
            = yes_no resource.sources.length.positive?
          %td.centered= resource.elements.size
          %td.-actions
            = render 'layouts/entity_actions', edit_url: edit_admin_resource_path(resource),
                                               destroy_url: admin_resource_path(resource)

  = render 'admin/widgets/pagination', list: @resources, name: 'resource'
